## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global debug_package %{nil}

%global srcname sparse-map

%global _description %{expand:
The sparse-map library is a C++ implementation of a memory efficient hash map
and hash set. It uses open-addressing with sparse quadratic probing. The goal
of the library is to be the most memory efficient possible, even at low load
factor, while keeping reasonable performances.}

Name:           tsl-%{srcname}
Version:        0.6.2
Release:        %autorelease
Summary:        C++ implementation of a memory efficient hash map and hash set 

License:        MIT
URL:            https://github.com/Tessil/%{srcname}
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++

BuildRequires:  boost-devel

%description    %{_description}

%package        devel
Summary:        %{summary}

%description    devel %{_description}

%prep
%autosetup -n %{srcname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%check
pushd tests
%cmake
%cmake_build
./%{_vpath_builddir}/tsl_sparse_map_tests

%files devel
%license LICENSE
%doc README.md
# Directory shared with other libraries by the same author, e.g. robin-map
%dir %{_includedir}/tsl
%{_includedir}/tsl/sparse_*.h
%{_datadir}/cmake/%{name}

%changelog
* Thu Dec 16 2021 Michel Alexandre Salim <salimma@fedoraproject.org> 0.6.2-1
- Initial Fedora package
